Topic
7 replies Latest Post - ‏2014-01-03T18:42:09Z by cwoliveira
CBS3_Ian_Wilson
CBS3_Ian_Wilson
41 Posts
ACCEPTED ANSWER

Pinned topic CloseAccountPlugin sample from Redbook

‏2013-02-12T10:35:20Z |
I've deployed this sample plugin in my installation, but it fails: I get the following error when clicking the "Close Account Action" button:

"CIWEB2002. A connection to /navigator cannot be established.
"This error can be caused by a configuration problem on the web application server or by a problem with the web client.

Try to log in again. If the problem persists, report this error to your system administrator.

The following error was returned: "

The client part of the plugin would seem to be working, as the button gets enabled if a Dcoument of class 'InsuranceDocuments' is selected. So my guess is that the call to 'GetConfig' is where the failure occurs. However, I've followed the tutorial to the letter, and can't see any obvious mistakes. I checked the SystemOut.log, and it seems it's receiving the call but no errors appear.

Any ideas?
Updated on 2013-03-08T16:09:56Z at 2013-03-08T16:09:56Z by SystemAdmin
  • damorris
    damorris
    765 Posts
    ACCEPTED ANSWER

    Re: CloseAccountPlugin sample from Redbook

    ‏2013-02-12T16:02:41Z  in response to CBS3_Ian_Wilson
    Are you trying this with 2.0.0 or 2.0.1? If the latter, the plugin probably isn't 100% compatible due to the changes we had to make to the toolkit to upgrade to the newer Dojo AMD loader.
  • CBS3_Ian_Wilson
    CBS3_Ian_Wilson
    41 Posts
    ACCEPTED ANSWER

    Re: CloseAccountPlugin sample from Redbook

    ‏2013-02-12T16:39:18Z  in response to CBS3_Ian_Wilson
    Dana,

    This is ICN v2.0.0
  • CBS3_Ian_Wilson
    CBS3_Ian_Wilson
    41 Posts
    ACCEPTED ANSWER

    Re: CloseAccountPlugin sample from Redbook

    ‏2013-02-13T21:17:28Z  in response to CBS3_Ian_Wilson
    Dana,

    Just a few questions relating to problems with successfully deploying ICN customizations, such as plugins.

    1) Is it important to install Fix Pack 1 (i.e. 2.0.0 FP1)? I saw some earlier threads where developers experience issues with Javascript dialogs failing to appear without FP1 applied.
    2) In building JARs, is it important to select an appropriate version of JDK/JRE? I use Eclipse. The Redbook doesn't seem to address this, so maybe not an issue.
    3) I've seen some threads where it's been said that v2.0.1 makes some major changes to the ICN Java/Javascript API. If this is the case, doesn't this make the Redbook (Customizing and Extending IBM Content Navigator) obsolete? Presumably these changes are all documented in the 2.0.1 Infocenter?

    Regards, Ian
    • damorris
      damorris
      765 Posts
      ACCEPTED ANSWER

      Re: CloseAccountPlugin sample from Redbook

      ‏2013-02-13T22:11:32Z  in response to CBS3_Ian_Wilson
      Hi Ian,

      Great questions. Let me provide a few quick responses and if you need more info then we can maybe set up a time to discuss more.

      1. I would recommend it, although generally if you're just starting development I'd very strongly recommend you start with 2.0.1. Starting with 2.0.1 we'll maintain compatibility and plugins written against the 2.0.1 release should continue to work with the next release as long as you use the methods that are marked public.
      2. We use Eclipse and Rational Application Developer. The version of Java isn't support important as long as it's 1.5.x and above.
      3. Yes, there are major changes because of the upgrade to Dojo 1.7.x and the conversion to the AMD loading style. The redbook is still valuable because the general concepts are the same.

      Dana
      • CBS3_Ian_Wilson
        CBS3_Ian_Wilson
        41 Posts
        ACCEPTED ANSWER

        Re: CloseAccountPlugin sample from Redbook

        ‏2013-02-14T08:56:12Z  in response to damorris
        Dana,

        Thanks for the answers, and the speedy response. Very helpful.

        What would also be useful would be an article that points out the differences in the API for 2.0.1. Something that demonstrates extra calls that need to be made, or alternative methods.

        It sounds like the differences are not very fundamental, and that the approach is the same.

        But the one thing we desperately need to avoid is a situation where plugin developers are failing to create working components for ICN because the instructions they're following are slightly out of date.

        Regards, Ian
  • SystemAdmin
    SystemAdmin
    445 Posts
    ACCEPTED ANSWER

    Re: CloseAccountPlugin sample from Redbook

    ‏2013-03-08T16:09:56Z  in response to CBS3_Ian_Wilson
    Hello,
    did you manage to solve the issue? If yes, could you please describe the solution? I am getting the same error when I press CloseAccountAction button on the toolbar (For me not even possible to input date). I tried to deploy to both 2.0.1 and 2.0.0 ICN with the same result.
    • cwoliveira
      cwoliveira
      25 Posts
      ACCEPTED ANSWER

      Re: CloseAccountPlugin sample from Redbook

      ‏2014-01-03T18:42:09Z  in response to SystemAdmin

      At this point, the latest version is ICN 2.0.2 Fp1 with Dojo 1.8.4.

      About samples mentioned on Redbook sg248055, I believe the better way to start is implement the "CloseAccountPlugin" logic over a working copy of "ECMClient\samples\samplePlugin" project, creating the required new elements for "CloseAccount". Redbooks usually are not updated according the latest products version/fixpack.

      Regards.